Madwifi - wifi%d: unable to attach hardware

Publicado por Eduardo em 12/05/2009

[ Hits: 4.377 ]

 


Madwifi - wifi%d: unable to attach hardware



Após ler e seguir o artigo do octopos, ocorreu em minha máquina a mensagem de erro:

wifi%d: unable to attach hardware: 'Hardware didn't respond as expected' (HAL status 3)

Então, após algumas pesquisas e fritar de fosfatos, consegui resolver e estou publicando para os que encontrarem o mesmo problema.

A primeira coisa é saber a versão do kernel de sua máquina. Para saber isso:

uname -r

Para kernel com versão superior à 2.6.26 (>=2.6.27), baixe este arquivo: compat-wireless-2.6.tar.bz2

Para kernel com versão inferior a 2.6.27 (<=2.6.26), baixe este arquivo: compat-wireless-old.tar.bz2

Descompacte o arquivo:

tar jxvf compat-wireless-versao.tar.bz2

Entre na pasta e compile:

# make

Em alguns casos aparece uma mensagem de erro informando que não foi encontrado o diretório. Nesse caso verifique se no caminho da pasta não há diretórios com acentuações.

Algumas mensagens de erro aparecem durante a compilação, mas nada que comprometa o assunto do post!

Obs.: Se ocorrer um erro que interrompa a compilação, por favor, poste o erro aqui.

Agora instalando...

# make install

Bem, agora está tudo instalado, porém é preciso derrubar os módulos antigos e carregar os novos. Para isso existem alguns scripts na agulha. Execute:

# make unload

# make load

Depois é só reiniciar o computador e navegar!

Fonte: http://ubunpaq.wordpress.com

Outras dicas deste autor

Autenticação PPPoE em redes wireless

Boot em pendrive - várias distribuições

Instalando o Gammu 1.32.0 no CentOS 64 bits

Leitura recomendada

Instalação do Anjuta no Debain 4.0 e Ubuntu 7.04

Usando aMSN com plugin MUSIC com suporte ao JUK

Guia de otimização para o Ubuntu

Configurando impressora de maneira simples no Slackware

Placa wireless Atheros AR5007EG/AR242x no Acer Aspire 5520 com Ubuntu Linux

  

Comentários
[1] Comentário enviado por ramon_01 em 09/10/2012 - 15:09h

eu to usando o slackware 14 com kernel 3.2.39 e tá dando erro no make a ponto de encerrar a compilação! será que tem a ver com a versão do gcc?? instalei esse msmo patch no slack 13.37 kernel 2.6.39.4 e funfou legal. Só nesse que ta dando problema!

[2] Comentário enviado por dudumiquim em 09/10/2012 - 15:24h

hide,

Poste o erro aí pra facilitar!



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts